<?php

add_filter('dokan_settings_sections', 'dokan_verification_admin_settings');

function dokan_verification_admin_settings($sections)
{

    $sections[] = array(
        'id' => 'dokan_verification',
        'title' => __('تأیید فروشنده', 'dokan'),
        'icon' => 'dashicons-unlock'
    );
    $sections[] = array(
        'id' => 'dokan_verification_sms_gateways',
        'title' => __('دروازه تأیید پیامک', 'dokan'),
        'icon' => 'dashicons-email'
    );
    return $sections;
}

add_filter('dokan_settings_fields', 'dokan_verification_admin_settings_fields');

function dokan_verification_admin_settings_fields($settings_fields)
{
    $settings_fields['dokan_verification'] = array(
        'facebook_app_label' => array(
            'name' => 'fb_app_label',
            'label' => __('پیکربندی های فیسبوک', 'dokan'),
            'type' => "html",
            'desc' => '<a target="_blank" href="https://developers.facebook.com/apps/">' . __('ساخت یک برنامه', 'dokan') . '</a> اگر شما یک را ندارید و آی دی (ID) برنامه و کلید محرمانه برنامه زیر را پر کنید.',
        ),
        'facebook_app_url' => array(
            'name' => 'fb_app_url',
            'label' => __('آدرس سایت', 'dokan'),
            'type' => 'html',
            'desc' => "<input class='regular-text' type='text' disabled value=" . dokan_get_navigation_url('settings/verification') . '?hauth.done=Facebook' . '>',
        ),
        'facebook_app_id' => array(
            'name' => 'fb_app_id',
            'label' => __('آی دی (ID) برنامه', 'dokan'),
            'type' => 'text',
        ),
        'facebook_app_secret' => array(
            'name' => 'fb_app_secret',
            'label' => __('کلید محرمانه برنامه', 'dokan'),
            'type' => 'text',
        ),
        'twitter_app_label' => array(
            'name' => 'twitter_app_label',
            'label' => __('پیکربندی های توییتر', 'dokan'),
            'type' => 'html',
            'desc' => '<a target="_blank" href="https://apps.twitter.com/">' . __('ساخت یک برنامه', 'dokan') . '</a> اگر یکی را ندارید و کلید مصرف کننده و کلید محرمانه مصرف کننده را در زیر وارد کنید.',
        ),
        'twitter_app_url' => array(
            'name' => 'twitter_app_url',
            'label' => __('آدرسی فراخوانی', 'dokan'),
            'type' => 'html',
            'desc' => "<input class='regular-text' type='text' disabled value=" . dokan_get_navigation_url('settings/verification') . '?hauth.done=Twitter' . '>',
        ),
        'twitter_app_id' => array(
            'name' => 'twitter_app_id',
            'label' => __('کلید مصرف کننده', 'dokan'),
            'type' => 'text',
        ),
        'twitter_app_secret' => array(
            'name' => 'twitter_app_secret',
            'label' => __('کلید محرمانه مصرف کننده', 'dokan'),
            'type' => 'text',
        ),
        'google_app_label' => array(
            'name' => 'google_app_label',
            'label' => __('پیکربندی های گوگل', 'dokan'),
            'type' => 'html',
            'desc' => '<a target="_blank" href="https://console.developers.google.com/project">' . __('ساخت یک برنامه', 'dokan') . '</a> اگر یکی را ندارید و شناسه مشتری و کلید محرمانه مشتری را در زیر پر کنید.',
        ),
        'google_app_url' => array(
            'name' => 'google_app_url',
            'label' => __('آدرس تغییر مسیر', 'dokan'),
            'type' => 'html',
            'desc' => "<input class='regular-text' type='text' disabled value=" . dokan_get_navigation_url('settings/verification') . '?hauth.done=Google' . '>',
        ),
        'google_app_id' => array(
            'name' => 'google_app_id',
            'label' => __('شناسه مشتری', 'dokan'),
            'type' => 'text',
        ),
        'google_app_secret' => array(
            'name' => 'google_app_secret',
            'label' => __('کلید محرمانه مشتری', 'dokan'),
            'type' => 'text',
        ),
        'linkedin_app_label' => array(
            'name' => 'linkedin_app_label',
            'label' => __('پیکربندی های لینکدین', 'dokan'),
            'type' => 'html',
            'desc' => '<a target="_blank" href="https://www.linkedin.com/developer/apps">' . __('ساخت یک برنامه', 'dokan') . '</a> اگر یکی را ندارید و شناسه مشتری و کلید محرمانه مشتری را در زیر پر کنید.',
        ),
        'linkedin_app_url' => array(
            'name' => 'linkedin_app_url',
            'label' => __('آدرس تغییر مسیر', 'dokan'),
            'type' => 'html',
            'desc' => "<input class='regular-text' type='text' disabled value=" . dokan_get_navigation_url('settings/verification') . '?hauth.done=LinkedIn' . '>',
        ),
        'linkedin_app_id' => array(
            'name' => 'linkedin_app_id',
            'label' => __('شناسه مشتری', 'dokan'),
            'type' => 'text',
        ),
        'linkedin_app_secret' => array(
            'name' => 'linkedin_app_secret',
            'label' => __('کلید محرمانه مشتری', 'dokan'),
            'type' => 'text',
        ),
        /* Start Amir */

        /* Start Notification Panel */
        'noti_header' => array(
            'name' => 'noti_header',
            'label' => __('پیکربندی پنل اعلانات', 'dokan'),
            'type' => 'html',
            'desc' => 'در این بخش اعلان هایی که میخواهید در صفحه تایید نمایش داده شود را تنظیم کنید:',
        ),
        'noti_oneico' => array(
            'name' => 'noti_oneico',
            'label' => __('آیکون اعلان نوع اول', 'dokan'),
            'type' => 'text',
            'desc' => 'در اینجا کد کلاس آیکون مورد نظر را از سایت Font Awesome برداشته و وارد کنید نمونه (fa fa-check)',
        ),
        'noti_one' => array(
            'name' => 'noti_one',
            'label' => __('متن اعلان نوع اول', 'dokan'),
            'type' => 'text',
            'desc' => 'در اینجا میتوانید متن اعلان مورد نظر خود را وارد کنید.',
        ),
        'noti_twoico' => array(
            'name' => 'noti_twoico',
            'label' => __('آیکون اعلان نوع دوم', 'dokan'),
            'type' => 'text',
            'desc' => 'در اینجا کد کلاس آیکون مورد نظر را از سایت Font Awesome برداشته و وارد کنید نمونه (fa fa-check)',
        ),
        'noti_two' => array(
            'name' => 'noti_two',
            'label' => __('متن اعلان نوع دوم', 'dokan'),
            'type' => 'text',
            'desc' => 'در اینجا میتوانید متن اعلان مورد نظر خود را وارد کنید.',
        ),
        'noti_threeico' => array(
            'name' => 'noti_threeico',
            'label' => __('آیکون اعلان نوع سوم', 'dokan'),
            'type' => 'text',
            'desc' => 'در اینجا کد کلاس آیکون مورد نظر را از سایت Font Awesome برداشته و وارد کنید نمونه (fa fa-check)',
        ),
        'noti_three' => array(
            'name' => 'noti_three',
            'label' => __('متن اعلان نوع سوم', 'dokan'),
            'type' => 'text',
            'desc' => 'در اینجا میتوانید متن اعلان مورد نظر خود را وارد کنید.',
        ),
        'noti_fourico' => array(
            'name' => 'noti_fourico',
            'label' => __('آیکون اعلان نوع چهار', 'dokan'),
            'type' => 'text',
            'desc' => 'در اینجا کد کلاس آیکون مورد نظر را از سایت Font Awesome برداشته و وارد کنید نمونه (fa fa-check)',
        ),
        'noti_four' => array(
            'name' => 'noti_four',
            'label' => __('متن اعلان نوع چهار', 'dokan'),
            'type' => 'text',
            'desc' => 'در اینجا میتوانید متن اعلان مورد نظر خود را وارد کنید.',
        ),
        'noti_patt' => array(
            'name' => 'noti_patt',
            'label' => __('حالت نمایش پنل اعلانات', 'dokan'),
            'type' => 'checkbox',
            'desc' => 'حالت فعال  نمایش داده می شود و حالت غیرفعال نمایش داده نمی شود.',
        ),
        /* End Notification Panel */

        'itemamir_header' => array(
            'name' => 'itemamir_header',
            'label' => __('پیکربندی تصویرشناسایی', 'dokan'),
            'type' => 'html',
            'desc' => 'در این بخش نوع تصویرشناسایی خود را مشخص کنید:',
        ),
        'pic_one' => array(
            'name' => 'pic_one',
            'label' => __('تصویر نوع اول', 'dokan'),
            'type' => 'text',
            'default' => 'کارت ملی',
            'desc' => 'این بخش به صورت پیش فرض کارت ملی انتخاب شده است',
        ),
        'pic_two' => array(
            'name' => 'pic_two',
            'label' => __('تصویر نوع دوم', 'dokan'),
            'type' => 'text',
            'default' => 'شناسنامه',
            'desc' => 'این بخش به صورت پیش فرض شناسنامه انتخاب شده است',
        ),
        'pic_tree' => array(
            'name' => 'pic_tree',
            'label' => __('تصویر نوع سوم', 'dokan'),
            'type' => 'text',
            'default' => 'گواهینامه رانندگی',
            'desc' => 'این بخش به صورت پیش فرض گواهینامه رانندگی انتخاب شده است',
        ),

        /* Start Option Social */
        'dissocial_patt' => array(
            'name' => 'dissocial_patt',
            'label' => __('حالت نمایش شبکه های اجتماعی', 'dokan'),
            'type' => 'checkbox',
            'desc' => 'با فعال کردن این گزینه شبکه های اجتماعی رو غیرفعال کنید',
        ),
        /* End Option Social */

        /* Start Option address */
        'dis_address_pat' => array(
            'name' => 'dis_address_pat',
            'label' => __('حالت نمایش تأیید نشانی', 'dokan'),
            'type' => 'checkbox',
            'desc' => 'با فعال کردن این گزینه تأیید نشانی رو غیرفعال کنید',
        ),
        /* End Option address */

        /* End Amir */
    );
//	error_log(json_encode(debug_backtrace()));
    $gateways = array();
    $gateway_obj = WeDevs_dokan_SMS_Gateways::instance();
    $registered_gateways = $gateway_obj->get_gateways();
	foreach($registered_gateways as $key => $value){
		$creditText[$key] = '';
	}
	$active_gateway = dokan_get_option('active_gateway', 'dokan_verification_sms_gateways');


    foreach ($registered_gateways as $gateway => $option) {
        $gateways[$gateway] = $option['label'];
    }

    $settings_fields['dokan_verification_sms_gateways'] = array(

        'active_gateway' => array(
            'name' => 'active_gateway',
            'label' => __('درگاه پیامکی', 'dokan'),
            'type' => 'select',
            'options' => $gateways
        ),

        'idehpayam_token' => array(
            'name' => 'idehpayam_token',
            'label' => 'توکن ایده پیام',
            'type' => 'text',
        ),
        'idehpayam_from' => array(
            'name' => 'idehpayam_from',
            'label' => __('خط ارسال کننده پیامک', 'dokan'),
            'type' => 'text',
        ),
        'idehpayam_pattern' => array(
            'name' => 'idehpayam_pattern',
            'label' => __('کد الگو', 'dokan'),
            'type' => 'text',
            'desc' => 'دقت کنید! حتما در پیام از پیش تعریف شده تان، متغیر verification-code را وارد کنید!',
        ),

    );


    return $settings_fields;

}
